<?php

namespace Drupal\simple_survey\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Survey Response entities.
 *
 * @ingroup simple_survey
 */
interface SimpleSurveyInterface extends ConfigEntityInterface {

  public function checkPath(string $path);

  /**
   * Checks survey is active.
   *
   * @return bool
   *   Returns true if survey is active false if inactive.
   */
  public function isSurveyActive();

}
